#include "hoursmins.h"
#include "parsestring.h"

using namespace std;

namespace hoursMins {

basicTime::basicTime (const string &str) {
    parseString::stringTokeniser strtok(str,": \n\r\t");
    if (strtok.getNoTokens() != 2)
    	throw timeError("Unable to parse time "+str);
    string hourstr= strtok.getElement(0);
    string minstr= strtok.getElement(1);
    hrs= atoi(hourstr.c_str());
    mins= atoi(minstr.c_str());
}

const string basicTime::getTimeStr() const
// Return time as a string
{
    std::ostringstream ost; 
    ost.width(2); 
    ost.fill('0');
    ost << hrs << ":";
    ost.width(2);
    ost.fill('0');
    ost << mins << std::ends;
    string timestr=ost.str();
    return timestr;
}

ostream &operator << (ostream &os, const basicTime &tm) 
{
    string out= tm.getTimeStr();
    os << out;
    return os;	
}

} // end of namespace hoursMins
