#ifndef _HOURS_MINS_H
#define _HOURS_MINS_H

#include <iostream>
#include <string>
#include <sstream>
#include "parsestring.h"

// Class to represent times in hours and minutes

namespace hoursMins {

class timeError {
    public:
    	timeError (const string &error):
	    err(error) {}
    	const string &getError() {return err;}
    private:
    	string err;
};
   
class basicTime { 
    public:
    	basicTime(int initHrs= 0, int initMins= 0) :
	    hrs(initHrs), mins(initMins) {}
    	basicTime(const string & str);
	int timeDiff (const basicTime &t2);
    	const int getHrs () const {return hrs;}
	const int getMins () const {return mins;}
	const string getTimeStr() const;
    private:
    	int hrs;
		int mins;  
    friend ostream &operator << (ostream &os, const basicTime &tm);
};

} // end of namespace hoursMins

#endif
