#ifndef MATCHDRAW_H
#define MATCHDRAW_H
#include "match.h"
#include <vector>

// Class for matching classes which are to be drawn
// Implementation of functions is in matchdraw.cpp

class matchDraw {

    public:
        matchDraw(): x(0), y(0), match(){};
        matchDraw(int n): x(0), y (0), match(n), nodeId(nodeIdCount++){}
        matchDraw(matchDraw &currMatch, int add) :
            x(currMatch.getX()), y(currMatch.getY()), 
            match(currMatch.getMatch(), add) , nodeId(nodeIdCount++){}
        void setXY(int x1, int y1) {x= x1; y= y1;}
	bool swapedAxes() const {return swapAxes;}
        int getX() const {return x;}
        int getY() const {return y;}
	int getId() const {return nodeId;}
        const int getWidth() const {return match.getWidth();}
        const int getHeight() const {return match.getHeight();}
        const int getElement(int i) const {return match.getElement(i);}
        const matchClass &getMatch() const  {return match;}
    private:
        int x, y;				// Co-ords when drawn
        matchClass match;		// Details of match type
	static bool swapAxes;	// Swap axes when printing
	int nodeId;				// Unique node identifier
	static int nodeIdCount; // Node Identifier counter
    	
    friend ostream& operator << (ostream &os, matchDraw &right);
    friend void setAxisRotation (bool swap) {swapAxes= swap;} 
    friend bool operator == (const matchDraw &left, 
    	const matchDraw &right);
    friend bool operator > (const matchDraw &left, 
    	const matchDraw &right);
    friend bool operator < (const matchDraw &left, 
    	const matchDraw &right);
};

#endif

